<script setup lang="ts">
import router from '@/router'
import { useAuthStore } from '@/stores/auth'
import { nextTick, onMounted, ref, watch, computed } from 'vue'
import { useRoute } from 'vue-router'

const route = useRoute()

const authStore = useAuthStore()

function upper1st(str: string | undefined) {
  if (!str) {
    return ''
  }
  return str.charAt(0).toUpperCase() + str.slice(1)
}

function top() {
  nextTick(() => {
    window.scrollTo({
      top: 0,
      left: 0,
      behavior: 'smooth'
    })
    window.scrollTo({
      top: 0,
      left: 0,
      behavior: 'smooth'
    })
    window.scrollTo({
      top: 0,
      left: 0,
      behavior: 'smooth'
    })
  })
}

function goToMain() {
  router.push({ name: 'mainmenu' })
}

const nowName = ref('')
const nowRole = ref('')
const nowImage = ref('')
const nowBranch = ref('')

onMounted(() => {
  const strUser = JSON.parse(localStorage.getItem('user') || '')

  try {
    if (strUser) {
      const parsedUser = strUser
      nowName.value = parsedUser.fullName
      nowRole.value = parsedUser.role
      nowImage.value = parsedUser.image
      nowBranch.value = parsedUser.branch.name
      // nowImage.value = computed(() => JSON.stringify(parsedUser.image) || '')
      // console.log('Image' + nowImage.value)S
    }
  } catch (error) {
    console.error('Error parsing user data:', error)
  }
})
</script>

<template>
  <v-app-bar
    v-if="authStore.appBarLogin"
    title="DCOFFEE"
    color="grey-darken-4"
    height="80"
  >
    <template v-slot:prepend>
      <v-app-bar-nav-icon icon="mdi-coffee-outline" @click="goToMain()"> </v-app-bar-nav-icon>
    </template>
    <template v-slot:append>
      <div style="margin-right: 50px">
        <div>Name: {{ nowName }} <br /></div>
        <div>Role: {{ nowRole }} | Branch: {{ nowBranch }}</div>
      </div>
    </template>
    <v-avatar
      :image="'http://localhost:3000/images/users/' + nowImage"
      size="50"
      style="right: 25px"
    >
    </v-avatar>
  </v-app-bar>
</template>

<style scoped></style>
